Subject: Spec and subsequent posts

From: [email-masked] (Paul Brittain)
Date: Mon, 8 Aug 94 12:11:07 BST

Cap-ex Riglet:

Comment on Spec:
================

I have some comments arising from the latest DLS spec and mails posted while I
have been on vacation (over 400K in total - took some reading!).  I have posted
all my editorial comments to Alan, but have repeated the most important one
here in case anyone else wishes to comment.

Page 20:

3.6.4. DLSw Capabilities Exchange Structured Subfields

PJB> I think it would be helpful to add a summary table of the cap-ex vectors
PJB> here to provide an easy reference source.  Such summary tables have always
PJB> been useful when debugging previous SNA protocol implementations that
PJB> I have been involved in.
PJB>
PJB> I have made a stab at such a table below (including the new x86 SAP vector)
PJB>
PJB>  ID    Required? Length  Runtime?  Content
PJB>  ==    ========= ======  ========  ====================================
PJB> x81        Y      x05      N       Vendor ID
PJB> x82        Y      x04      N       DLSw Version
PJB> x83        Y      x04      N       Initial pacing window
PJB> x84        N    >=x02      N       Version String (vendor defined)
PJB> x86        Y      x12      Y       SAP Support
PJB> x87        N      x03      N       TCP Sessions
PJB> x88        N      x03      Y       Exclusivity
PJB> x89        N      x0E      Y       MAC Address List
PJB> x8A        N    <=x12      Y       Netbios Name List

   --------------------------------------------------------------------------

SAP Support Vector:
===================

Th recent mail discussions on the format and content of the SAP support vector
all seem to be heading in the right direction.  I agree with all the following
proposals from Scott, Frank and Steve:

-       SAP list details all even SAPs and the vector is x12 long
-       NetBIOS Support CV is obsoleted be SAP Support CV
-       SAP Support CV valid in run-time cap-ex.

I have reflected the above in the CV reference table earlier in this mail.

Paul Brittain
Data Connection Limited.